Authorization: Bearer ********************{
"aggregation_method": "simple_weighted_mean",
"default_max_grade": 598,
"exclude_empty_grades": false,
"force_aggregation_method": true,
"force_default_max_grade": false,
"force_exclude_empty_grades": false
}curl --location --request PUT 'https://api.msaaq.com/v1/grading/settings/aggregation' \
--header 'X-Tenant: academy.msaaq.com' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"aggregation_method": "simple_weighted_mean",
"default_max_grade": 598,
"exclude_empty_grades": false,
"force_aggregation_method": true,
"force_default_max_grade": false,
"force_exclude_empty_grades": false
}'{
"data": {
"id": 1171,
"aggregation_method": "natural",
"default_max_grade": 100,
"exclude_empty_grades": false,
"force_aggregation_method": false,
"force_default_max_grade": false,
"force_exclude_empty_grades": false,
"created_at": "2026-01-01 00:00:00",
"updated_at": "2026-01-01 00:00:00"
}
}